Bug 15719 - WebDAV MOVE to destination URI which is content-negotiated crashes server
Summary: WebDAV MOVE to destination URI which is content-negotiated crashes server
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dav (show other bugs)
Version: 2.0.43
Hardware: PC All
: P3 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2002-12-30 14:36 UTC by Julian Reschke
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2002-12-30 14:36:07 UTC
1) enable DAV on root
2) MOVE one of the index.html.* variants to the destination "/index.html"

Server crashes.

error.log says:

[Mon Dec 30 15:14:40 2002] [notice] Parent: child process exited with status
3221225477 -- Restarting.

access.log doesn't log the MOVE request.
Comment 1 Joe Orton 2003-01-10 12:22:24 UTC
I can't reproduce this on Unix, FWIW; this might be Windows-specific.
Comment 2 Paul Querna 2005-06-03 02:43:44 UTC
Can we get a bactrace of this on windows?
Comment 3 Gary Wilson 2006-02-23 21:26:09 UTC
Yes we have EXACTLY THE SAME PROBLEM!!!!!! And would like to die!!!!  We are
about to release a new platform and this:

Parent: child process exited with status 3221225477 -- Restarting.

HELP!!!!!  This happens randomly from what we can tell!!

Windows 2000 - Apache 2.0.55 - php 5.1.1 and MySQL 5.0



Comment 4 Davi Arnaut 2007-06-08 12:44:37 UTC
Instructions on getting the backtrace on Windows are available at:

http://httpd.apache.org/dev/debugging.html#backtrace-win
Comment 5 William A. Rowe Jr. 2018-11-07 21:09:33 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.